package MT::Plugin::PreviewFileSaver;

use strict;
use base qw( MT::Plugin );
use MT;

our $VERSION = '0.01';

my $plugin = __PACKAGE__->new({
    id => 'PreviewFileSaver',
    name => 'PreviewFileSaver',
    version => $VERSION,
    description => '<MT_TRANS phrase="PreviewFileSaver.">',
    author_name => 'Yujiro Araki',
    author_link => 'http://www.koikikukan.com/',
    doc_link => 'http://www.koikikukan.com/archives/2013/05/10005555.php',
    l10n_class  => 'PreviewFileSaver::L10N',
});
MT->add_plugin( $plugin );

*MT::App::CMS::remove_preview_file = \&plugin_remove_preview_file;

sub plugin_remove_preview_file {
    my $app = shift;

    # Clear any preview file that may exist (returning from
    # a preview using the 'reedit', 'cancel' or 'save' buttons)
    if ( my $preview = $app->param('_preview_file') ) {
        require MT::Session;
        if (my $tf = MT::Session->load(
                {   id   => $preview,
                    kind => 'TF',
                }
            )
            )
        {
            my $file = $tf->name;
            my $fmgr = $app->blog->file_mgr;
            $tf->remove;
        }
    }
}

1;
